var myCanvas=document.getElementById("editor1");
var context=myCanvas.getContext("2d");
var text1=document.getElementById("text1");
var wd=480;
var ht=600;
var x0=40;
var y0=40;
var cx=0;
var cy=0;
var dw=50;
var bn=8;
var dec=0;
var x=0;
var y=0;
var i=0;
var j=0;
var title="フォントエディタ  8X8 ビットパターン";
var setBit=['なし','設定'];
let dt = new Array(bn); 
for (let x = 0; x < bn; x++) {
    dt[x] = new Array(bn); 
    for (let y = 0; y < bn; y++) {
        dt[x][y] = 0;
    }
}

context.fillStyle="beige";
context.fillStyle="beige";
context.fillRect(0,0,wd,ht);
context.fillStyle="blue";
context.font="bold 24px Times";
context.textAlign="center";
context.textBaseline="Bottom";
context.fillText(title,240,30);
context.strokeStyle="black";
context.lineWidth=2;

for (let y=0 ; y <= bn; y++){
	context.moveTo(x0,y0+y*dw);
	context.lineTo(x0+bn*dw,y0+y*dw);
	context.stroke();
	for (let x=0; x<= bn; x++){
		context.moveTo(x0+x*dw,y0);
		context.lineTo(x0+x*dw,y0+bn*dw);
		context.stroke();
	}
}

setInterval(function(){
	for (let y=0; y< bn;y++){
		for(let x=0; x< bn; x++){
			if (dt[x][y]==1){
				context.fillStyle="black";
				context.fillRect(x0+x*dw+1,y0+y*dw+1,dw-2,dw-2);
			} else {
				context.fillStyle="beige";
				context.fillRect(x0+x*dw+1,y0+y*dw+1,dw-2,dw-2);
			}
				
		}
	}
},100);

function touchBtn(n){
	if (n<0 || n>63) return;
	cx= n %8; cy=Math.floor(n/8);
	dt[cx][cy]=1-dt[cx][cy];
	text1.value="座標 ("+String(cx)+","+String(cy)+")　ドット"+setBit[dt[cx][cy]];
}

function output(){
	text1.value="";
	for (let y=0; y <bn; y++){
		dec=0;
		for (let x=0; x<bn; x++){
			dec=dec*2+dt[x][y];
		}
		text1.value+="0x"+dec.toString(16).toLowerCase()+",";
	}
}
